# Uses of Class
java.nio.file.attribute.UserPrincipalLookupService

Packages that use UserPrincipalLookupService
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.

## Uses of UserPrincipalLookupService in java.nio.file

Methods in java.nio.file that return UserPrincipalLookupService
Modifier and Type
Method
Description
`abstract UserPrincipalLookupService`
FileSystem.`getUserPrincipalLookupService()`
Returns the `UserPrincipalLookupService` for this file system (optional operation).